#!/bin/bash

CURRENTD=$(dirname "$0")  	# looking at the current location of this file

if [ "$CURRENTD" == "." ];then	# looking if it was navigated into the dir of this file
CURRENTD=`pwd`		# current directory changes fron "." to ""
fi
CURRENTDIR=$CURRENTD"/"		# add a slash at the end of the located path for upcoming operations

# local kde4-folder
LOCALPREFIX=`kde4-config --localprefix`

# Installation type
insttype=$(kdialog --title "MountISO 1.4" --radiolist "Choose your installation type" 0 "local" on 1 "systemwide (requires root password)" off) 	# installation type dialog
echo $insttype			# messages which type was chosen

# local installation
if [ "$insttype" = "0" ]; then
echo "chosen installation type: local"

# looking if local bin-folder exists
  if [ -d "$HOME"/bin ]; then
  echo "directory" "$HOME"/bin "exists"
  else
  mkdir "$HOME"/bin	# create local bin-folder
  echo "created directory" "$HOME"/bin
  fi

# looking if local servicemenu-folder exists
  if [ -d "$LOCALPREFIX"/share/kde4/services ]; then
  echo "directory" "$LOCALPREFIX"/share/kde4/services "exists"
  else
  mkdir "$LOCALPREFIX"/share/kde4/services/ServiceMenus	# create local servicemenu-folder
  echo "created directory" "$LOCALPREFIX"/share/kde4/services
  fi

cd "$CURRENTDIR"src		# change to src-dir inside the installation folder

# copies *.desktop-files to local ServiceMenu dir
cp mountiso4*.desktop "$LOCALPREFIX"/share/kde4/services
# copies all scripts to local bin dir
cp mountiso*.sh "$HOME"/bin

echo "Installation done!"	# message for successful installation
kdialog --title "MountISO 1.4" --msgbox "MountISO Installation done!" 	# dialog for successful installation

# systemwide installation
elif [ "$insttype" == "1" ]; then
echo "chosen installation type: systemwide"

# creating temporary installation folder inside the home dir to prevent installation issues
echo "root password required"
echo "$CURRENTDIR"

if which kdesu >/dev/null; then
    KSU=kdesu
else
    KSU=kdesudo
fi

$KSU -d --noignorebutton "$CURRENTDIR"copyroot

echo "Installation done!" 	# message for successful installation
kdialog --title "MountISO 1.4" --msgbox "MountISO Installation done!" 	# dialog for successful installation

else
echo "Installation aborted!"	# error-message for aborted installation
kdialog --title "MountISO 1.4" --error "MountISO Installation aborted!"  # error-dialog for aborted installation
exit

fi

