#!/bin/bash

CURRENTD=$(dirname "$0")  	# looking at the current location of this file

if [ "$CURRENTD" == "." ];then	# looking if it was navigated into the dir of this file
CURRENTD=`pwd`		# current directory changes fron "." to ""
fi
CURRENTDIR=$CURRENTD"/"		# add a slash at the end of the located path for upcoming operations

# local kde4-folder
LOCALPREFIX=`kde4-config --localprefix`

# Installation type
insttype=$(kdialog --title "MountISO 1.4" --radiolist "Where is your installation located?" 0 "local" on 1 "systemwide (requires root password)" off) 	# installation type dialog
echo $insttype			# messages which type was chosen

# local installation
if [ "$insttype" = "0" ]; then
echo "chosen installation type: local"

cd "$LOCALPREFIX"/share/kde4/services		# change to servicemenu-dir

# remove *.desktop-files from local ServiceMenu dir
rm -f mountiso4*.desktop
cd "$HOME"/bin
rm -f mountiso*.sh

echo "Uninstall done!"	# message for successful uninstallation
kdialog --title "MountISO 1.4" --msgbox "MountISO was successfully removed!" 	# dialog for successful uninstallation

# systemwide installation
elif [ "$insttype" == "1" ]; then
echo "chosen installation type: systemwide"

kdesu -d --noignorebutton "$CURRENTDIR"removeroot

echo "Uninstall done!"	# message for successful uninstallation
kdialog --title "MountISO 1.4" --msgbox "MountISO was successfully removed!" 	# dialog for successful uninstallation

else
echo "Uninstall aborted!"	# error-message for aborted uninstallation
kdialog --title "MountISO 1.4" --error "Uninstall aborted!"  # error-dialog for aborted uninstallation
exit

fi

